%global pypi_name itsdangerous

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 2
Summary:        Various helpers to pass trusted data to untrusted environments and back

Group:          Development/Python
License:        BSD
URL:            https://github.com/mitsuhiko/itsdangerous
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Various helpers to pass trusted data to untrusted environments and back

%package -n python3-%{pypi_name}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Itsdangerous is a Python 3 library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

%prep
%autosetup -n %{pypi_name}-%{version}

# loosen reqs
sed -E -i -e 's/==/>=/g' requirements/tests.txt

%generate_buildrequires
%pyproject_buildrequires requirements/tests.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files itsdangerous

%check
%pytest -Wdefault

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 2.2.0-2.mga10
+ Revision: 2153649
- rebuild for python 3.13

* Sat Dec 21 2024 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2127042
- new version 2.2.0

* Tue Dec 19 2023 wally <wally> 2.1.2-2.mga10
+ Revision: 2019792
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Sep 07 2022 neoclust <neoclust> 2.1.2-1.mga9
+ Revision: 1884888
- New version  2.1.2

* Thu Mar 31 2022 umeabot <umeabot> 2.0.1-3.mga9
+ Revision: 1836355
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 2.0.1-2.mga9
+ Revision: 1774657
- rebuild for python-3.10

* Thu Jul 01 2021 joequant <joequant> 2.0.1-1.mga9
+ Revision: 1734415
- update to 2.0.1

* Thu Mar 18 2021 neoclust <neoclust> 1.1.0-3.mga9
+ Revision: 1704427
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1531394
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.1.0-1.mga8
+ Revision: 1439713
- new version 1.1.0
- drop python2 support
- rebuild for python3.8

* Mon Jan 07 2019 ngompa <ngompa> 0.24-5.mga7
+ Revision: 1350305
- Rebuild for Python 3.7
- Small BR and whitespace cleanups in the spec

* Thu Sep 20 2018 umeabot <umeabot> 0.24-4.mga7
+ Revision: 1289100
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 0.24-3.mga7
+ Revision: 1134699
- rebuild for new python

* Fri Feb 19 2016 umeabot <umeabot> 0.24-2.mga6
+ Revision: 970622
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 0.24-1.mga6
+ Revision: 887375
- upgrade to 0.24 and python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.23-7.mga5
+ Revision: 744356
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.23-6.mga5
+ Revision: 728806
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.23-5.mga5
+ Revision: 688093
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.23-4.mga5
+ Revision: 628719
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.23-3.mga4
+ Revision: 543580
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.23-2.mga4
+ Revision: 498763
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.23-1.mga4
+ Revision: 497593
- Update to 0.23
- add Python 3

* Tue Jul 30 2013 neoclust <neoclust> 0.22-1.mga4
+ Revision: 460862
- imported package python-itsdangerous

